Вниз  NetBeans IDE
- 22.12.2018 / 14:51copy  #507649
Витаминыч
  Супермодератор

Витаминыч 
Сейчас: Offline
__________________
 わからない!!
- 23.12.2018 / 06:51copy  #507663
Biverus
  Пользователь

Biverus 
Сейчас: Offline
Витаминыч, Можешь превести пример, пожалуйста
- 23.12.2018 / 08:04copy  #507665
Витаминыч
  Супермодератор

Витаминыч 
Сейчас: Offline
Biverus, загугли, пожалуйста.

Далее подобные вопросы задавай в теме java разработки
__________________
 わからない!!
- 28.12.2018 / 11:28copy  #507864
aNNiMON
  Супервизор

aNNiMON 
Сейчас: Offline
Apache NetBeans 10 вышел.
Добавили поддержку JDK 11, поддержку var в Java, PHP 7.3, JUnit 5 в тестах по умолчанию
__________________
 let live
- 1.01.2019 / 01:15copy  #507964
Naik
  Пользователь

Naik 
Сейчас: Offline
Интересно, кто-то юзает jdk 11? А то что-то много с ним проблем. Проекты на spring не стартуют. Проблемы с groovy. Проблемы с тем, что выпилили некоторые классы, которые юзались в либах. Также модули эти настраивать, т.к. с импорты не видит. Профит непонятен. JDK 8 пока хватает и проблем с ним нет.

Изменено Naik (1.01 / 01:15) (всего 1 раз)
- 1.01.2019 / 01:37copy  #507965
aNNiMON
  Супервизор

aNNiMON 
Сейчас: Offline
Naik, в октябре полностью на Java 11 перешел, всё нормально работает. На модули никто не заставляет переходить, сиди на classpath как в старые добрые, это нормально.
__________________
 let live
- 1.01.2019 / 09:20copy  #507973
Death
  Пользователь

Death 
Сейчас: Offline
aNNiMON, То есть с 11 версией можно писать как под 8 и потом этот код под 8 запускать?
__________________
 Смерть правит миром
- 1.01.2019 / 12:18copy  #507976
Витаминыч
  Супермодератор

Витаминыч 
Сейчас: Offline
Death, если новые фичи не используешь, то да
__________________
 わからない!!
- 1.01.2019 / 19:48copy  #508001
Death
  Пользователь

Death 
Сейчас: Offline
Витаминыч, Круто! :hack:
__________________
 Смерть правит миром
- 4.01.2019 / 18:44copy  #508078
Naik
  Пользователь

Naik 
Сейчас: Offline
aNNiMON, ну рабочий проект я пол дня пытался завести - безуспешно:) Новый наверное можно начинать и на 11 :gg: А на старом то классы не находило, т.к. их выпилили, то просто непонятные ошибки, т.к. на groovy все написано, который заточен под jdk 7,8 Да и смысла нет, т.к. фичи этого языка покроют еще релизов 10 джавы :gg:

Изменено Naik (4.01 / 18:47) (всего 1 раз)
Наверх  Всего сообщений: 730
Фильтровать сообщения
Поиск по теме
Файлы топика (29)
Поиск по форуму
Новые вверху